Ingest normalized events
For the complete documentation index, see https://devlookout.com/llms.txt. Accepts a JSON event array or an object containing an events array.
POST
/
api
/
v1
/
events
Ingest normalized events
curl --request POST \
--url https://lookout.example.com/api/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"schemaVersion": 1,
"id": "<string>",
"class": "<string>",
"activity": "<string>",
"time": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"source": {
"adapter": "<string>",
"instance": "<string>",
"recordId": "<string>"
},
"entityKeys": [
"<string>"
],
"attributes": {},
"severity": 5,
"actor": {},
"sourceEndpoint": {},
"destinationEndpoint": {},
"service": {},
"correlation": {},
"rawReference": "<string>"
}
]
'import requests
url = "https://lookout.example.com/api/v1/events"
payload = [
{
"schemaVersion": 1,
"id": "<string>",
"class": "<string>",
"activity": "<string>",
"time": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"source": {
"adapter": "<string>",
"instance": "<string>",
"recordId": "<string>"
},
"entityKeys": ["<string>"],
"attributes": {},
"severity": 5,
"actor": {},
"sourceEndpoint": {},
"destinationEndpoint": {},
"service": {},
"correlation": {},
"rawReference": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
schemaVersion: 1,
id: '<string>',
class: '<string>',
activity: '<string>',
time: '2023-11-07T05:31:56Z',
ingestedAt: '2023-11-07T05:31:56Z',
source: {adapter: '<string>', instance: '<string>', recordId: '<string>'},
entityKeys: ['<string>'],
attributes: {},
severity: 5,
actor: {},
sourceEndpoint: {},
destinationEndpoint: {},
service: {},
correlation: {},
rawReference: '<string>'
}
])
};
fetch('https://lookout.example.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": [
{
"schemaVersion": 1,
"id": "<string>",
"category": "identity",
"class": "<string>",
"activity": "<string>",
"outcome": "success",
"time": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"source": {
"adapter": "<string>",
"instance": "<string>",
"recordId": "<string>"
},
"entityKeys": [
"<string>"
],
"attributes": {},
"severity": 5,
"actor": {},
"sourceEndpoint": {},
"destinationEndpoint": {},
"service": {},
"correlation": {},
"rawReference": "<string>"
}
],
"alerts": [
{
"id": "<string>",
"status": "open"
}
],
"incidents": [
{
"id": "<string>"
}
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}Authorizations
A 256-bit token generated by the Lookout CLI.
Body
application/json
- object[]
- object
Available options:
identity, network, system, application, discovery, configuration, data, health, finding Available options:
success, failure, unknown Show child attributes
Show child attributes
Maximum array length:
256Required range:
0 <= x <= 10⌘I
Ingest normalized events
